cURL
curl --request GET \
--url https://api.flipsuite.xyz/v1/community/points/{pointSystemId}/balance \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flipsuite.xyz/v1/community/points/{pointSystemId}/balance"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flipsuite.xyz/v1/community/points/{pointSystemId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"platform": "discord",
"userId": "328218133074804739",
"balance": 100
}
],
"pagination": {
"offset": 123,
"limit": 123,
"total": 123,
"count": 123
}
}Points
Get Balance
Get point system balance of one or more users
GET
/
v1
/
community
/
points
/
{pointSystemId}
/
balance
cURL
Headers
Your community API key
Path Parameters
ID of a point system
Query Parameters
Platform to get balances for
Allowed value:
"discord"Specific user IDs to get balances for
Required range:
x >= 0Required range:
0 <= x <= 100Sort direction
Available options:
balance-desc, balance-asc ⌘I